import { createMessageConnection as createMessageConnectionRW } from "vscode-jsonrpc";
import { createMessageReader } from "./reader";
import { createMessageWriter } from "./writer";
/**
 * Create VSCode JSON RPC `MessageConnection` over WebSocket.
 * @param webSocket
 * @param logger
 */
export const createMessageConnection = (webSocket, logger = createConsoleLogger()) => new Promise((onConnection) => {
    webSocket.onopen = () => {
        const conn = createMessageConnectionRW(createMessageReader(webSocket), createMessageWriter(webSocket), logger);
        conn.onClose(() => conn.dispose());
        onConnection(conn);
    };
});
const createConsoleLogger = () => ({
    error: (message) => console.error(message),
    warn: (message) => console.warn(message),
    info: (message) => console.info(message),
    log: (message) => console.log(message),
});
//# sourceMappingURL=connection.js.map